Subject: i.MX6 USB OTG support is broken on linux-next

From: [email-masked] (Shawn Guo)
Date: Tue, 13 May 2014 10:40:33 +0800

On Tue, May 13, 2014 at 09:10:36AM +0800, Li Jun wrote:
> Firstly, w/o USB_OTG and USB_OTG_FSM, your OTG port will work well as before
> (i.e. it can be host or can be gadget as you want, so it's enough for you if
> connect normal usb device or PC host), I assume you are not wanting more here,
> this dual role functionality actually is not the part of "CONFIG_USB_OTG";

Okay, I think this is why I was confused.  Thanks for the clarification.

The problem is how people like me who does not know Linux USB too much
get that, considering what the help text of CONFIG_USB_OTG tells people
is just like below.

config USB_OTG
        bool "OTG support"
	...
        help
          The most notable feature of USB OTG is support for a
          "Dual-Role" device, which can act as either a device
          or a host. The initial role is decided by the type of
          plug inserted and can be changed later when two dual
          role devices talk to each other.

          Select this only if your board has Mini-AB/Micro-AB
          connector.

So the text tells CONFIG_USB_OTG is there for Dual-Role device support,
while you're saying the support is not the part of CONFIG_USB_OTG.  As a
person who never looked at usb code, I'm completely confused here.

> 
> What USB_OTG + USB_OTG_FSM does is *specific* for HNP and SRP, it's based on
> OTG spec and will *not* work well with a normal usb device, that's the reason
> behind in disable USB_OTG, which is not needed, and even impact your expecting
> function in your case...

Again, the help text of CONFIG_USB_OTG does *not* tell that.

Shawn